kind: Deployment
apiVersion: apps/v1
metadata:
  name: netbox
spec:
  template:
    spec:
      containers:
        - name: netbox
          env:
            - name: DB_HOST
              value: netbox-postgresql-staging
            - name: REDIS_CACHE_HOST
              value: netbox-rediscache-staging-master
            - name: REDIS_HOST
              value: netbox-redis-staging-master
            - name: DB_PASSWORD
              valueFrom:
                secretKeyRef:
                  key: postgresql-password
                  name: netbox-postgresql-staging
            - name: REDIS_CACHE_PASSWORD
              valueFrom:
                secretKeyRef:
                  name: netbox-rediscache-staging
                  key: redis-password
            - name: REDIS_PASSWORD
              valueFrom:
                secretKeyRef:
                  name: netbox-redis-staging
                  key: redis-password
